Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.utils
Class XoplonNS

    java.lang.Object
      com.tonbeller.wcf.utils.XoplonNS

public class XoplonNS
extends java.lang.Object

wrapper for a Xoplon namespace. There's no namespace supported yet, but implementation can could be extended to namespace supporting. Actually, I had problems finding the fitting Xalan API function to map namespace uri to namespace prefix, so I postponed namespace support. So this class is a dummy implementation using the DOM API functions ignoring namespaces.

Method Summary
`static org.w3c.dom.Element` | `createElement(org.w3c.dom.Document factory, java.lang.String name)` creates a DOM element of given tag name
`static java.lang.String` | `getAttribute(org.w3c.dom.Element elem, java.lang.String name)` retrieves DOM attribute
`static java.lang.String` | `getLocalName(org.w3c.dom.Element elem)` returns tag name w/o prefix
`static boolean` | `isXoplonNS(org.w3c.dom.Element elem)`
`static void` | `removeAttribute(org.w3c.dom.Element elem, java.lang.String name)` removes a DOM attribute
`static void` | `setAttribute(org.w3c.dom.Element elem, java.lang.String name, java.lang.String value)` sets a DOM attribute
`static void` | `setNameSpaceAttribute(org.w3c.dom.Element elem)` adds xmlns:xc="uri:xoplon:core"

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createElement

    public static org.w3c.dom.Element createElement(org.w3c.dom.Document factory,
                                                    java.lang.String name)

  creates a DOM element of given tag name

### setAttribute

    public static void setAttribute(org.w3c.dom.Element elem,
                                    java.lang.String name,
                                    java.lang.String value)

  sets a DOM attribute

### setNameSpaceAttribute

    public static void setNameSpaceAttribute(org.w3c.dom.Element elem)

  adds xmlns:xc="uri:xoplon:core"

### removeAttribute

    public static void removeAttribute(org.w3c.dom.Element elem,
                                       java.lang.String name)

  removes a DOM attribute

### getAttribute

    public static java.lang.String getAttribute(org.w3c.dom.Element elem,
                                                java.lang.String name)

  retrieves DOM attribute

### isXoplonNS

    public static boolean isXoplonNS(org.w3c.dom.Element elem)

### getLocalName

    public static java.lang.String getLocalName(org.w3c.dom.Element elem)

  returns tag name w/o prefix

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD